<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<body>

<!--$pristine : form masih belum diedit ?-->
<!--$dirty : form sudah diedit ?-->
<!--touched : form masih belum disentuh?-->
<!--untouched : form sudah disentuh ?-->
<!--invalid : form belum valid-->
<!--valid : form sudah valid-->
<!--<span>-->
<!--$pristine - {{contactForm.name.$pristine}}-->
<!--$dirty - {{contactForm.name.$dirty}}-->
<!--$untouched - {{contactForm.name.$untouched}}-->
<!--$touched - {{contactForm.name.$touched}}-->
<!--$invalid - {{contactForm.name.$invalid}}-->
<!--$valid - {{contactForm.name.$valid}}-->
<!--</span>-->

<div class="content" id="formcontact">

  <form ng-submit="contactvm.sendPesanBaru()" name="contactForm" novalidate>

    <input type="text" placeholder="Nama" name="name" ng-required="true" ng-model="contactvm.contact.name">
    <div ng-show="contactForm.name.$touched && contactForm.name.$invalid">
      <small class="validasiketerangan">Masukkan nama dengan benar</small>
    </div>

    <input type="email" placeholder="Email" name="email" ng-required="true" ng-model="contactvm.contact.email">
    <div ng-show="contactForm.email.$touched && contactForm.email.$invalid">
      <small class="validasiketerangan">Masukkan email dengan benar</small>
    </div>

    <textarea name="message" rows="10" placeholder="Isi Pesan Kamu" ng-required="true"
              ng-model="contactvm.contact.message"></textarea>
    <div ng-show="contactForm.message.$touched && contactForm.message.$invalid">
      <small class="validasiketerangan">Masukkan pesan dengan benar</small>
    </div>

    <input type="submit" value="Send" ng-disabled="contactForm.$invalid">
  </form>
</div>

</body>
</html>
